Documentation

Get a folder by id

GET
/api/v1/external/drives/folders/{folderId}

Scope requis : read:drives.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de chemin

folderId*string

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/drives/folders/string"
{  "id": "string",  "name": "string",  "drive": "string",  "stats": {    "totalFilesCount": 0,    "totalVectorizedFilesCount": 0,    "totalNotVectorizedFilesCount": 0,    "totalInProgressFilesCount": 0,    "totalNotSupportedFilesCount": 0,    "globalStorageInfo": {      "totalRustSizeBytes": 0,      "totalEmbeddingSizeBytes": 0    }  },  "parentFolder": "string",  "createdAt": "string",  "isOwner": true,  "permission": "READ"}